Changeset 2392


Ignore:
Timestamp:
Oct 15, 2018 6:47:50 PM (8 months ago)
Author:
lou
Message:

Add a check for Mumps to configure.ac so that COIN_HAS_MUMPS is defined when
CbcOrClpParam?.cpp is pulled into CbcCbcParam?.cpp.

Location:
trunk
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.in

    r2204 r2392  
    196196COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    197197COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     198COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     199COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    198200COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    199201COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    299301MSK_LIBS = @MSK_LIBS@
    300302MSK_LIBS_INSTALLED = @MSK_LIBS_INSTALLED@
     303MUMPS_CFLAGS = @MUMPS_CFLAGS@
     304MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     305MUMPS_DATA = @MUMPS_DATA@
     306MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     307MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     308MUMPS_LIBS = @MUMPS_LIBS@
     309MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    301310NETLIB_CFLAGS = @NETLIB_CFLAGS@
    302311NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/Cbc/configure

    r2330 r2392  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11701170  --with-asl-incdir directory with header files for using package ASL
    11711171  --with-asl-datadir directory with data files for using package ASL
     1172  --with-mumps-lib linker flags for using package Mumps
     1173  --with-mumps-incdir directory with header files for using package Mumps
     1174  --with-mumps-datadir directory with data files for using package Mumps
    11721175  --with-nauty-incdir specify the header file directory for library Nauty
    11731176  --with-nauty-lib specify the flags used to link with the library Nauty
     
    58625865*-*-irix6*)
    58635866  # Find out which ABI we are using.
    5864   echo '#line 5864 "configure"' > conftest.$ac_ext
     5867  echo '#line 5867 "configure"' > conftest.$ac_ext
    58655868  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58665869  (eval $ac_compile) 2>&5
     
    69966999
    69977000# Provide some information about the compiler.
    6998 echo "$as_me:6998:" \
     7001echo "$as_me:7001:" \
    69997002     "checking for Fortran 77 compiler version" >&5
    70007003ac_compiler=`set X $ac_compile; echo $2`
     
    80638066   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80648067   -e 's:$: $lt_compiler_flag:'`
    8065    (eval echo "\"\$as_me:8065: $lt_compile\"" >&5)
     8068   (eval echo "\"\$as_me:8068: $lt_compile\"" >&5)
    80668069   (eval "$lt_compile" 2>conftest.err)
    80678070   ac_status=$?
    80688071   cat conftest.err >&5
    8069    echo "$as_me:8069: \$? = $ac_status" >&5
     8072   echo "$as_me:8072: \$? = $ac_status" >&5
    80708073   if (exit $ac_status) && test -s "$ac_outfile"; then
    80718074     # The compiler can only warn and ignore the option if not recognized
     
    83318334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83328335   -e 's:$: $lt_compiler_flag:'`
    8333    (eval echo "\"\$as_me:8333: $lt_compile\"" >&5)
     8336   (eval echo "\"\$as_me:8336: $lt_compile\"" >&5)
    83348337   (eval "$lt_compile" 2>conftest.err)
    83358338   ac_status=$?
    83368339   cat conftest.err >&5
    8337    echo "$as_me:8337: \$? = $ac_status" >&5
     8340   echo "$as_me:8340: \$? = $ac_status" >&5
    83388341   if (exit $ac_status) && test -s "$ac_outfile"; then
    83398342     # The compiler can only warn and ignore the option if not recognized
     
    84358438   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84368439   -e 's:$: $lt_compiler_flag:'`
    8437    (eval echo "\"\$as_me:8437: $lt_compile\"" >&5)
     8440   (eval echo "\"\$as_me:8440: $lt_compile\"" >&5)
    84388441   (eval "$lt_compile" 2>out/conftest.err)
    84398442   ac_status=$?
    84408443   cat out/conftest.err >&5
    8441    echo "$as_me:8441: \$? = $ac_status" >&5
     8444   echo "$as_me:8444: \$? = $ac_status" >&5
    84428445   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84438446   then
     
    1078010783  lt_status=$lt_dlunknown
    1078110784  cat > conftest.$ac_ext <<EOF
    10782 #line 10782 "configure"
     10785#line 10785 "configure"
    1078310786#include "confdefs.h"
    1078410787
     
    1088010883  lt_status=$lt_dlunknown
    1088110884  cat > conftest.$ac_ext <<EOF
    10882 #line 10882 "configure"
     10885#line 10885 "configure"
    1088310886#include "confdefs.h"
    1088410887
     
    1322413227   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1322513228   -e 's:$: $lt_compiler_flag:'`
    13226    (eval echo "\"\$as_me:13226: $lt_compile\"" >&5)
     13229   (eval echo "\"\$as_me:13229: $lt_compile\"" >&5)
    1322713230   (eval "$lt_compile" 2>conftest.err)
    1322813231   ac_status=$?
    1322913232   cat conftest.err >&5
    13230    echo "$as_me:13230: \$? = $ac_status" >&5
     13233   echo "$as_me:13233: \$? = $ac_status" >&5
    1323113234   if (exit $ac_status) && test -s "$ac_outfile"; then
    1323213235     # The compiler can only warn and ignore the option if not recognized
     
    1332813331   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1332913332   -e 's:$: $lt_compiler_flag:'`
    13330    (eval echo "\"\$as_me:13330: $lt_compile\"" >&5)
     13333   (eval echo "\"\$as_me:13333: $lt_compile\"" >&5)
    1333113334   (eval "$lt_compile" 2>out/conftest.err)
    1333213335   ac_status=$?
    1333313336   cat out/conftest.err >&5
    13334    echo "$as_me:13334: \$? = $ac_status" >&5
     13337   echo "$as_me:13337: \$? = $ac_status" >&5
    1333513338   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1333613339   then
     
    1489814901   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1489914902   -e 's:$: $lt_compiler_flag:'`
    14900    (eval echo "\"\$as_me:14900: $lt_compile\"" >&5)
     14903   (eval echo "\"\$as_me:14903: $lt_compile\"" >&5)
    1490114904   (eval "$lt_compile" 2>conftest.err)
    1490214905   ac_status=$?
    1490314906   cat conftest.err >&5
    14904    echo "$as_me:14904: \$? = $ac_status" >&5
     14907   echo "$as_me:14907: \$? = $ac_status" >&5
    1490514908   if (exit $ac_status) && test -s "$ac_outfile"; then
    1490614909     # The compiler can only warn and ignore the option if not recognized
     
    1500215005   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1500315006   -e 's:$: $lt_compiler_flag:'`
    15004    (eval echo "\"\$as_me:15004: $lt_compile\"" >&5)
     15007   (eval echo "\"\$as_me:15007: $lt_compile\"" >&5)
    1500515008   (eval "$lt_compile" 2>out/conftest.err)
    1500615009   ac_status=$?
    1500715010   cat out/conftest.err >&5
    15008    echo "$as_me:15008: \$? = $ac_status" >&5
     15011   echo "$as_me:15011: \$? = $ac_status" >&5
    1500915012   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1501015013   then
     
    1720917212   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1721017213   -e 's:$: $lt_compiler_flag:'`
    17211    (eval echo "\"\$as_me:17211: $lt_compile\"" >&5)
     17214   (eval echo "\"\$as_me:17214: $lt_compile\"" >&5)
    1721217215   (eval "$lt_compile" 2>conftest.err)
    1721317216   ac_status=$?
    1721417217   cat conftest.err >&5
    17215    echo "$as_me:17215: \$? = $ac_status" >&5
     17218   echo "$as_me:17218: \$? = $ac_status" >&5
    1721617219   if (exit $ac_status) && test -s "$ac_outfile"; then
    1721717220     # The compiler can only warn and ignore the option if not recognized
     
    1747717480   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1747817481   -e 's:$: $lt_compiler_flag:'`
    17479    (eval echo "\"\$as_me:17479: $lt_compile\"" >&5)
     17482   (eval echo "\"\$as_me:17482: $lt_compile\"" >&5)
    1748017483   (eval "$lt_compile" 2>conftest.err)
    1748117484   ac_status=$?
    1748217485   cat conftest.err >&5
    17483    echo "$as_me:17483: \$? = $ac_status" >&5
     17486   echo "$as_me:17486: \$? = $ac_status" >&5
    1748417487   if (exit $ac_status) && test -s "$ac_outfile"; then
    1748517488     # The compiler can only warn and ignore the option if not recognized
     
    1758117584   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1758217585   -e 's:$: $lt_compiler_flag:'`
    17583    (eval echo "\"\$as_me:17583: $lt_compile\"" >&5)
     17586   (eval echo "\"\$as_me:17586: $lt_compile\"" >&5)
    1758417587   (eval "$lt_compile" 2>out/conftest.err)
    1758517588   ac_status=$?
    1758617589   cat out/conftest.err >&5
    17587    echo "$as_me:17587: \$? = $ac_status" >&5
     17590   echo "$as_me:17590: \$? = $ac_status" >&5
    1758817591   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1758917592   then
     
    2962629629  COIN_HAS_ASL_TRUE='#'
    2962729630  COIN_HAS_ASL_FALSE=
     29631fi
     29632
     29633
     29634
     29635
     29636# MUMPS
     29637
     29638echo "$as_me:$LINENO: checking for COIN-OR package Mumps" >&5
     29639echo $ECHO_N "checking for COIN-OR package Mumps... $ECHO_C" >&6
     29640
     29641coin_has_mumps=notGiven
     29642
     29643# check if user wants to skip package in any case
     29644if test x"$COIN_SKIP_PROJECTS" != x; then
     29645  for dir in $COIN_SKIP_PROJECTS; do
     29646    if test $dir = "Mumps"; then
     29647      coin_has_mumps=skipping
     29648    fi
     29649  done
     29650fi
     29651
     29652if test "$coin_has_mumps" != skipping; then
     29653
     29654# Check whether --with-m4_tolower(Mumps) or --without-m4_tolower(Mumps) was given.
     29655if test "${with_mumps+set}" = set; then
     29656  withval="$with_mumps"
     29657  if test "$withval" = no ; then
     29658       coin_has_mumps=skipping
     29659     fi
     29660
     29661fi;
     29662fi
     29663
     29664MUMPS_LIBS=
     29665MUMPS_CFLAGS=
     29666MUMPS_DATA=
     29667MUMPS_DEPENDENCIES=
     29668MUMPS_PCLIBS=
     29669MUMPS_PCREQUIRES=
     29670
     29671
     29672
     29673
     29674
     29675
     29676
     29677
     29678
     29679#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     29680if test $coin_has_mumps != skipping; then
     29681
     29682# Check whether --with-m4_tolower(Mumps)-lib or --without-m4_tolower(Mumps)-lib was given.
     29683if test "${with_mumps_lib+set}" = set; then
     29684  withval="$with_mumps_lib"
     29685  if test "$withval" = no ; then
     29686       coin_has_mumps=skipping
     29687     else
     29688       coin_has_mumps=yes
     29689       MUMPS_LIBS="$withval"
     29690       MUMPS_PCLIBS="$withval"
     29691
     29692       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29693       if test -z "$PKG_CONFIG" ; then
     29694         MUMPS_LIBS_INSTALLED="$withval"
     29695
     29696       fi
     29697     fi
     29698
     29699fi;
     29700fi
     29701
     29702if test $coin_has_mumps != skipping; then
     29703
     29704# Check whether --with-m4_tolower(Mumps)-incdir or --without-m4_tolower(Mumps)-incdir was given.
     29705if test "${with_mumps_incdir+set}" = set; then
     29706  withval="$with_mumps_incdir"
     29707  if test "$withval" = no ; then
     29708       coin_has_mumps=skipping
     29709     else
     29710       coin_has_mumps=yes
     29711       MUMPS_CFLAGS="-I`${CYGPATH_W} $withval`"
     29712
     29713       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29714       if test -z "$PKG_CONFIG" ; then
     29715         MUMPS_CFLAGS_INSTALLED="$MUMPS_CFLAGS"
     29716
     29717       fi
     29718     fi
     29719
     29720fi;
     29721fi
     29722
     29723if test $coin_has_mumps != skipping; then
     29724
     29725# Check whether --with-m4_tolower(Mumps)-datadir or --without-m4_tolower(Mumps)-datadir was given.
     29726if test "${with_mumps_datadir+set}" = set; then
     29727  withval="$with_mumps_datadir"
     29728  if test "$withval" = no ; then
     29729       coin_has_mumps=skipping
     29730     else
     29731       coin_has_mumps=yes
     29732       MUMPS_DATA="$withval"
     29733       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29734       if test -z "$PKG_CONFIG" ; then
     29735         MUMPS_DATA_INSTALLED="$withval"
     29736       fi
     29737     fi
     29738
     29739fi;
     29740fi
     29741
     29742if test $coin_has_mumps = notGiven; then
     29743  if test -n "$PKG_CONFIG" ; then
     29744    # set search path for pkg-config
     29745    # need to export variable to be sure that the following pkg-config gets these values
     29746    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     29747    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     29748    export PKG_CONFIG_PATH
     29749
     29750    # let pkg-config do it's magic
     29751
     29752
     29753
     29754if test -n "$PKG_CONFIG" ; then
     29755  if $PKG_CONFIG --exists "coinmumps"; then
     29756    MUMPS_VERSIONS=`$PKG_CONFIG --modversion "coinmumps" 2>/dev/null | tr '\n' ' '`
     29757     cflags=`$PKG_CONFIG --cflags "coinmumps" 2>/dev/null`
     29758    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     29759        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     29760        # but only do this if is not trivial
     29761    if test "$CYGPATH_W" != "echo" ; then
     29762      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     29763      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     29764    fi
     29765    MUMPS_CFLAGS="$cflags"
     29766    MUMPS_LIBS=`$PKG_CONFIG --libs "coinmumps" 2>/dev/null`
     29767    MUMPS_DATA=`$PKG_CONFIG --variable=datadir "coinmumps" 2>/dev/null`
     29768     coin_has_mumps=yes
     29769        echo "$as_me:$LINENO: result: yes: $MUMPS_VERSIONS" >&5
     29770echo "${ECHO_T}yes: $MUMPS_VERSIONS" >&6
     29771
     29772        # adjust linker flags for (i)cl compiler
     29773        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     29774        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     29775        then
     29776          MUMPS_LIBS=`echo " $MUMPS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     29777        fi
     29778        MUMPS_PCREQUIRES="coinmumps"
     29779
     29780        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in
     29781
     29782
     29783
     29784  else
     29785    MUMPS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmumps"`
     29786      coin_has_mumps=notGiven
     29787        echo "$as_me:$LINENO: result: not given: $MUMPS_PKG_ERRORS" >&5
     29788echo "${ECHO_T}not given: $MUMPS_PKG_ERRORS" >&6
     29789
     29790  fi
     29791else
     29792  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&5
     29793echo "$as_me: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&2;}
     29794   { (exit 1); exit 1; }; }
     29795fi
     29796
     29797
     29798
     29799
     29800    # reset PKG_CONFIG_PATH variable
     29801    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     29802    export PKG_CONFIG_PATH
     29803
     29804  else
     29805    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     29806echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     29807
     29808echo "$as_me:$LINENO: checking for COIN-OR package Mumps (fallback)" >&5
     29809echo $ECHO_N "checking for COIN-OR package Mumps (fallback)... $ECHO_C" >&6
     29810
     29811coin_has_mumps=notGiven
     29812MUMPS_LIBS=
     29813MUMPS_LIBS_INSTALLED=
     29814MUMPS_CFLAGS=
     29815MUMPS_CFLAGS_INSTALLED=
     29816MUMPS_DATA=
     29817MUMPS_DATA_INSTALLED=
     29818MUMPS_PCLIBS=
     29819MUMPS_PCREQUIRES=
     29820
     29821# initial list of dependencies is "coinmumps", but we need to filter out version number specifications (= x, <= x, >= x, != x)
     29822projtoprocess="coinmumps"
     29823
     29824# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     29825# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     29826# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     29827# also, we setup the DATA variable
     29828allproj=""
     29829allpcfiles=""
     29830allpcifiles=""
     29831while test "x$projtoprocess" != x ; do
     29832
     29833  for proj in $projtoprocess ; do
     29834    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     29835    pcfile=""
     29836    save_IFS="$IFS"
     29837    IFS=":"
     29838    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     29839      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     29840      if test -r "$dir/${proj}-uninstalled.pc" ; then
     29841        pcfile="$dir/$proj-uninstalled.pc"
     29842        if test -r "$dir/${proj}.pc" ; then
     29843          pcifile="$dir/${proj}.pc"
     29844        else
     29845          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     29846echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     29847          pcifile=
     29848        fi
     29849        break
     29850      fi
     29851    done
     29852    IFS="$save_IFS"
     29853
     29854    if test "x$pcfile" != x ; then
     29855      # read dependencies from $pcfile and filter it
     29856      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     29857
     29858      # add projrequires to the front of the list of projects that have to be processed next
     29859      # at the same time, remove $proj from this list
     29860      projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
     29861
     29862      # read DATA from $pcfile, if _DATA is still empty
     29863      if test "x$MUMPS_DATA" = x ; then
     29864        projdatadir=
     29865        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     29866        eval `sh -c "$pcfilemod"`
     29867        MUMPS_DATA="$projdatadir"
     29868      fi
     29869
     29870      allproj="$allproj $proj"
     29871      allpcfiles="$pcfile:$allpcfiles"
     29872
     29873    else
     29874      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     29875echo "${ECHO_T}no, dependency $proj not available" >&6
     29876      allproj=fail
     29877      break 2
     29878    fi
     29879
     29880    if test "x$pcifile" != x ; then
     29881      allpcifiles="$pcifile:$allpcifiles"
     29882
     29883      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     29884      if test "x$MUMPS_DATA_INSTALLED" = x ; then
     29885        projdatadir=
     29886        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     29887        eval `sh -c "$pcifilemod"`
     29888        if test "${CYGPATH_W}" != "echo"; then
     29889          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     29890        fi
     29891        MUMPS_DATA_INSTALLED="$projdatadir"
     29892      fi
     29893
     29894    fi
     29895
     29896    break
     29897  done
     29898
     29899  # remove spaces on begin of $projtoprocess
     29900  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     29901
     29902done
     29903
     29904if test "$allproj" != fail ; then
     29905
     29906  # now go through the list of .pc files and assemble compiler and linker flags
     29907  # important is here to obey the reverse order that has been setup before,
     29908  # since then libraries that are required by several others should be after these other libraries
     29909  pcfilesprocessed=""
     29910
     29911  save_IFS="$IFS"
     29912  IFS=":"
     29913  for pcfile in $allpcfiles ; do
     29914
     29915    # if $pcfile has been processed already, skip this round
     29916    if test "x$pcfilesprocessed" != x ; then
     29917      for pcfiledone in $pcfilesprocessed ; do
     29918        if test "$pcfiledone" = "$pcfile" ; then
     29919          continue 2
     29920        fi
     29921      done
     29922    fi
     29923
     29924    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     29925    #   replace "Libs:" by "echo projlibs="
     29926    #   replace "Cflags:" by "echo projcflags="
     29927    #   remove every line starting with <some word>:
     29928    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     29929
     29930    # set projcflags and projlibs variables by running $pcfilemod
     29931    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     29932    projcflags=
     29933    projlibs=
     29934    IFS="$save_IFS"
     29935    eval `sh -c "$pcfilemod"`
     29936    IFS=":"
     29937
     29938    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     29939    if test "${CYGPATH_W}" != "echo"; then
     29940      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     29941    fi
     29942    MUMPS_CFLAGS="$projcflags $MUMPS_CFLAGS"
     29943
     29944    # set LIBS variable
     29945    MUMPS_LIBS="$projlibs $MUMPS_LIBS"
     29946
     29947    # remember that we have processed $pcfile
     29948    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     29949
     29950  done
     29951  IFS="$save_IFS"
     29952
     29953
     29954  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     29955  # important is here again to obey the reverse order that has been setup before,
     29956  # since then libraries that are required by several others should be after these other libraries
     29957  pcfilesprocessed=""
     29958
     29959  save_IFS="$IFS"
     29960  IFS=":"
     29961  for pcfile in $allpcifiles ; do
     29962
     29963    # if $pcfile has been processed already, skip this round
     29964    if test "x$pcfilesprocessed" != x ; then
     29965      for pcfiledone in $pcfilesprocessed ; do
     29966        if test "$pcfiledone" = "$pcfile" ; then
     29967          continue 2
     29968        fi
     29969      done
     29970    fi
     29971
     29972    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     29973    #   replace "Libs:" by "echo projlibs="
     29974    #   replace "Cflags:" by "echo projcflags="
     29975    #   remove every line starting with <some word>:
     29976    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     29977
     29978    # set projcflags and projlibs variables by running $pcfilemod
     29979    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     29980    projcflags=
     29981    projlibs=
     29982    IFS="$save_IFS"
     29983    eval `sh -c "$pcfilemod"`
     29984    IFS=":"
     29985
     29986    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     29987    if test "${CYGPATH_W}" != "echo"; then
     29988      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     29989    fi
     29990    MUMPS_CFLAGS_INSTALLED="$projcflags $MUMPS_CFLAGS_INSTALLED"
     29991
     29992    # set LIBS variable
     29993    MUMPS_LIBS_INSTALLED="$projlibs $MUMPS_LIBS_INSTALLED"
     29994
     29995    # remember that we have processed $pcfile
     29996    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     29997
     29998  done
     29999  IFS="$save_IFS"
     30000
     30001
     30002  # finish up
     30003  coin_has_mumps=yes
     30004  echo "$as_me:$LINENO: result: yes" >&5
     30005echo "${ECHO_T}yes" >&6
     30006
     30007cat >>confdefs.h <<\_ACEOF
     30008#define COIN_HAS_MUMPS 1
     30009_ACEOF
     30010
     30011
     30012  # adjust linker flags for (i)cl compiler
     30013  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     30014  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     30015  #    everything of the form "-lname" by "libname.lib", and
     30016  #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
     30017  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     30018  then
     30019    MUMPS_LIBS=`echo " $MUMPS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     30020    MUMPS_LIBS_INSTALLED=`echo " $MUMPS_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
     30021  fi
     30022
     30023  MUMPS_PCREQUIRES="coinmumps"
     30024
     30025
     30026fi
     30027
     30028
     30029
     30030if test $coin_has_mumps != notGiven &&
     30031                test $coin_has_mumps != skipping; then
     30032  COIN_HAS_MUMPS_TRUE=
     30033  COIN_HAS_MUMPS_FALSE='#'
     30034else
     30035  COIN_HAS_MUMPS_TRUE='#'
     30036  COIN_HAS_MUMPS_FALSE=
     30037fi
     30038
     30039
     30040
     30041  fi
     30042
     30043else
     30044  echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
     30045echo "${ECHO_T}$coin_has_mumps" >&6
     30046fi
     30047
     30048if test $coin_has_mumps != skipping &&
     30049   test $coin_has_mumps != notGiven ; then
     30050
     30051cat >>confdefs.h <<\_ACEOF
     30052#define COIN_HAS_MUMPS 1
     30053_ACEOF
     30054
     30055
     30056  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     30057if test "${enable_interpackage_dependencies+set}" = set; then
     30058  enableval="$enable_interpackage_dependencies"
     30059
     30060else
     30061  enable_interpackage_dependencies=yes
     30062fi;
     30063
     30064  if test $enable_interpackage_dependencies = yes ; then
     30065     # construct dependencies variables from LIBS variables
     30066     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     30067     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
     30068     # then remove everything of the form -xxx
     30069     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     30070     MUMPS_DEPENDENCIES=`echo " $MUMPS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     30071
     30072  fi
     30073
     30074  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     30075    if test -n "$MUMPS_CFLAGS" ; then
     30076      { echo "$as_me:$LINENO: Mumps CFLAGS are $MUMPS_CFLAGS" >&5
     30077echo "$as_me: Mumps CFLAGS are $MUMPS_CFLAGS" >&6;}
     30078    fi
     30079    if test -n "$MUMPS_LIBS" ; then
     30080      { echo "$as_me:$LINENO: Mumps LIBS   are $MUMPS_LIBS" >&5
     30081echo "$as_me: Mumps LIBS   are $MUMPS_LIBS" >&6;}
     30082    fi
     30083    if test -n "$MUMPS_DEPENDENCIES" ; then
     30084      { echo "$as_me:$LINENO: Mumps DEPENDENCIES are $MUMPS_DEPENDENCIES" >&5
     30085echo "$as_me: Mumps DEPENDENCIES are $MUMPS_DEPENDENCIES" >&6;}
     30086    fi
     30087    if test -n "$MUMPS_DATA" ; then
     30088      { echo "$as_me:$LINENO: Mumps DATA   is  $MUMPS_DATA" >&5
     30089echo "$as_me: Mumps DATA   is  $MUMPS_DATA" >&6;}
     30090    fi
     30091    if test -n "$MUMPS_PCLIBS" ; then
     30092      { echo "$as_me:$LINENO: Mumps PCLIBS are $MUMPS_PCLIBS" >&5
     30093echo "$as_me: Mumps PCLIBS are $MUMPS_PCLIBS" >&6;}
     30094    fi
     30095    if test -n "$MUMPS_PCREQUIRES" ; then
     30096      { echo "$as_me:$LINENO: Mumps PCREQUIRES are $MUMPS_PCREQUIRES" >&5
     30097echo "$as_me: Mumps PCREQUIRES are $MUMPS_PCREQUIRES" >&6;}
     30098    fi
     30099
     30100  fi
     30101fi
     30102
     30103# Define the Makefile conditional
     30104
     30105
     30106if test $coin_has_mumps != notGiven &&
     30107                test $coin_has_mumps != skipping; then
     30108  COIN_HAS_MUMPS_TRUE=
     30109  COIN_HAS_MUMPS_FALSE='#'
     30110else
     30111  COIN_HAS_MUMPS_TRUE='#'
     30112  COIN_HAS_MUMPS_FALSE=
    2962830113fi
    2962930114
     
    3106531550Usually this means the macro was only invoked conditionally." >&5
    3106631551echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     31552Usually this means the macro was only invoked conditionally." >&2;}
     31553   { (exit 1); exit 1; }; }
     31554fi
     31555if test -z "${COIN_HAS_MUMPS_TRUE}" && test -z "${COIN_HAS_MUMPS_FALSE}"; then
     31556  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     31557Usually this means the macro was only invoked conditionally." >&5
     31558echo "$as_me: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     31559Usually this means the macro was only invoked conditionally." >&2;}
     31560   { (exit 1); exit 1; }; }
     31561fi
     31562if test -z "${COIN_HAS_MUMPS_TRUE}" && test -z "${COIN_HAS_MUMPS_FALSE}"; then
     31563  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     31564Usually this means the macro was only invoked conditionally." >&5
     31565echo "$as_me: error: conditional \"COIN_HAS_MUMPS\" was never defined.
    3106731566Usually this means the macro was only invoked conditionally." >&2;}
    3106831567   { (exit 1); exit 1; }; }
     
    3196832467s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
    3196932468s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     32469s,@MUMPS_LIBS@,$MUMPS_LIBS,;t t
     32470s,@MUMPS_CFLAGS@,$MUMPS_CFLAGS,;t t
     32471s,@MUMPS_DATA@,$MUMPS_DATA,;t t
     32472s,@MUMPS_DEPENDENCIES@,$MUMPS_DEPENDENCIES,;t t
     32473s,@MUMPS_LIBS_INSTALLED@,$MUMPS_LIBS_INSTALLED,;t t
     32474s,@MUMPS_CFLAGS_INSTALLED@,$MUMPS_CFLAGS_INSTALLED,;t t
     32475s,@MUMPS_DATA_INSTALLED@,$MUMPS_DATA_INSTALLED,;t t
     32476s,@COIN_HAS_MUMPS_TRUE@,$COIN_HAS_MUMPS_TRUE,;t t
     32477s,@COIN_HAS_MUMPS_FALSE@,$COIN_HAS_MUMPS_FALSE,;t t
    3197032478s,@NTYINCDIR@,$NTYINCDIR,;t t
    3197132479s,@NTYLIB@,$NTYLIB,;t t
  • trunk/Cbc/configure.ac

    r2204 r2392  
    105105# Ampl Solver library
    106106AC_COIN_CHECK_PACKAGE(ASL, [coinasl], [CbcLib CbcGeneric])
     107
     108# MUMPS
     109AC_COIN_CHECK_PACKAGE(Mumps, [coinmumps])
    107110
    108111# Nauty library (for symmetry detection)
  • trunk/Cbc/src/Makefile.in

    r2204 r2392  
    264264COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    265265COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     266COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     267COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    266268COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    267269COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    367369MSK_LIBS = @MSK_LIBS@
    368370MSK_LIBS_INSTALLED = @MSK_LIBS_INSTALLED@
     371MUMPS_CFLAGS = @MUMPS_CFLAGS@
     372MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     373MUMPS_DATA = @MUMPS_DATA@
     374MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     375MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     376MUMPS_LIBS = @MUMPS_LIBS@
     377MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    369378NETLIB_CFLAGS = @NETLIB_CFLAGS@
    370379NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/Cbc/src/OsiCbc/Makefile.in

    r2204 r2392  
    189189COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    190190COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     191COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     192COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    191193COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    192194COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    292294MSK_LIBS = @MSK_LIBS@
    293295MSK_LIBS_INSTALLED = @MSK_LIBS_INSTALLED@
     296MUMPS_CFLAGS = @MUMPS_CFLAGS@
     297MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     298MUMPS_DATA = @MUMPS_DATA@
     299MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     300MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     301MUMPS_LIBS = @MUMPS_LIBS@
     302MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    294303NETLIB_CFLAGS = @NETLIB_CFLAGS@
    295304NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/Cbc/src/config.h.in

    r2204 r2392  
    5555/* Define to 1 if the Msk package is available */
    5656#undef COIN_HAS_MSK
     57
     58/* Define to 1 if the Mumps package is available */
     59#undef COIN_HAS_MUMPS
    5760
    5861/* Define to 1 if the Netlib package is available */
  • trunk/Cbc/test/Makefile.in

    r2204 r2392  
    183183COIN_HAS_MSK_FALSE = @COIN_HAS_MSK_FALSE@
    184184COIN_HAS_MSK_TRUE = @COIN_HAS_MSK_TRUE@
     185COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     186COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    185187COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    186188COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    286288MSK_LIBS = @MSK_LIBS@
    287289MSK_LIBS_INSTALLED = @MSK_LIBS_INSTALLED@
     290MUMPS_CFLAGS = @MUMPS_CFLAGS@
     291MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     292MUMPS_DATA = @MUMPS_DATA@
     293MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     294MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     295MUMPS_LIBS = @MUMPS_LIBS@
     296MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    288297NETLIB_CFLAGS = @NETLIB_CFLAGS@
    289298NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/configure

    r2330 r2392  
    45234523# Try if FFLAGS works
    45244524if test "$F77" != "unavailable" ; then
     4525  orig_FFLAGS="FFLAGS"
    45254526  cat >conftest.$ac_ext <<_ACEOF
    45264527      program main
     
    45604561      conftest$ac_exeext conftest.$ac_ext
    45614562  if test -z "$FFLAGS"; then
    4562     { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
    4563 echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
     4563    { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$orig_FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
     4564echo "$as_me: WARNING: The flags FFLAGS=\"$orig_FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
    45644565    FFLAGS='-O'
    45654566    cat >conftest.$ac_ext <<_ACEOF
     
    46004601      conftest$ac_exeext conftest.$ac_ext
    46014602    if test -z "$FFLAGS"; then
    4602       { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work. I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
    4603 echo "$as_me: WARNING: This value for FFLAGS does not work. I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&2;}
     4603      { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=-O do not work. I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
     4604echo "$as_me: WARNING: The flags FFLAGS=-O do not work. I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&2;}
    46044605    fi
    46054606  fi
     
    64036404*-*-irix6*)
    64046405  # Find out which ABI we are using.
    6405   echo '#line 6405 "configure"' > conftest.$ac_ext
     6406  echo '#line 6406 "configure"' > conftest.$ac_ext
    64066407  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64076408  (eval $ac_compile) 2>&5
     
    83678368   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83688369   -e 's:$: $lt_compiler_flag:'`
    8369    (eval echo "\"\$as_me:8369: $lt_compile\"" >&5)
     8370   (eval echo "\"\$as_me:8370: $lt_compile\"" >&5)
    83708371   (eval "$lt_compile" 2>conftest.err)
    83718372   ac_status=$?
    83728373   cat conftest.err >&5
    8373    echo "$as_me:8373: \$? = $ac_status" >&5
     8374   echo "$as_me:8374: \$? = $ac_status" >&5
    83748375   if (exit $ac_status) && test -s "$ac_outfile"; then
    83758376     # The compiler can only warn and ignore the option if not recognized
     
    86358636   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86368637   -e 's:$: $lt_compiler_flag:'`
    8637    (eval echo "\"\$as_me:8637: $lt_compile\"" >&5)
     8638   (eval echo "\"\$as_me:8638: $lt_compile\"" >&5)
    86388639   (eval "$lt_compile" 2>conftest.err)
    86398640   ac_status=$?
    86408641   cat conftest.err >&5
    8641    echo "$as_me:8641: \$? = $ac_status" >&5
     8642   echo "$as_me:8642: \$? = $ac_status" >&5
    86428643   if (exit $ac_status) && test -s "$ac_outfile"; then
    86438644     # The compiler can only warn and ignore the option if not recognized
     
    87398740   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87408741   -e 's:$: $lt_compiler_flag:'`
    8741    (eval echo "\"\$as_me:8741: $lt_compile\"" >&5)
     8742   (eval echo "\"\$as_me:8742: $lt_compile\"" >&5)
    87428743   (eval "$lt_compile" 2>out/conftest.err)
    87438744   ac_status=$?
    87448745   cat out/conftest.err >&5
    8745    echo "$as_me:8745: \$? = $ac_status" >&5
     8746   echo "$as_me:8746: \$? = $ac_status" >&5
    87468747   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87478748   then
     
    1108411085  lt_status=$lt_dlunknown
    1108511086  cat > conftest.$ac_ext <<EOF
    11086 #line 11086 "configure"
     11087#line 11087 "configure"
    1108711088#include "confdefs.h"
    1108811089
     
    1118411185  lt_status=$lt_dlunknown
    1118511186  cat > conftest.$ac_ext <<EOF
    11186 #line 11186 "configure"
     11187#line 11187 "configure"
    1118711188#include "confdefs.h"
    1118811189
     
    1352813529   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352913530   -e 's:$: $lt_compiler_flag:'`
    13530    (eval echo "\"\$as_me:13530: $lt_compile\"" >&5)
     13531   (eval echo "\"\$as_me:13531: $lt_compile\"" >&5)
    1353113532   (eval "$lt_compile" 2>conftest.err)
    1353213533   ac_status=$?
    1353313534   cat conftest.err >&5
    13534    echo "$as_me:13534: \$? = $ac_status" >&5
     13535   echo "$as_me:13535: \$? = $ac_status" >&5
    1353513536   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353613537     # The compiler can only warn and ignore the option if not recognized
     
    1363213633   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363313634   -e 's:$: $lt_compiler_flag:'`
    13634    (eval echo "\"\$as_me:13634: $lt_compile\"" >&5)
     13635   (eval echo "\"\$as_me:13635: $lt_compile\"" >&5)
    1363513636   (eval "$lt_compile" 2>out/conftest.err)
    1363613637   ac_status=$?
    1363713638   cat out/conftest.err >&5
    13638    echo "$as_me:13638: \$? = $ac_status" >&5
     13639   echo "$as_me:13639: \$? = $ac_status" >&5
    1363913640   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1364013641   then
     
    1520215203   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520315204   -e 's:$: $lt_compiler_flag:'`
    15204    (eval echo "\"\$as_me:15204: $lt_compile\"" >&5)
     15205   (eval echo "\"\$as_me:15205: $lt_compile\"" >&5)
    1520515206   (eval "$lt_compile" 2>conftest.err)
    1520615207   ac_status=$?
    1520715208   cat conftest.err >&5
    15208    echo "$as_me:15208: \$? = $ac_status" >&5
     15209   echo "$as_me:15209: \$? = $ac_status" >&5
    1520915210   if (exit $ac_status) && test -s "$ac_outfile"; then
    1521015211     # The compiler can only warn and ignore the option if not recognized
     
    1530615307   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530715308   -e 's:$: $lt_compiler_flag:'`
    15308    (eval echo "\"\$as_me:15308: $lt_compile\"" >&5)
     15309   (eval echo "\"\$as_me:15309: $lt_compile\"" >&5)
    1530915310   (eval "$lt_compile" 2>out/conftest.err)
    1531015311   ac_status=$?
    1531115312   cat out/conftest.err >&5
    15312    echo "$as_me:15312: \$? = $ac_status" >&5
     15313   echo "$as_me:15313: \$? = $ac_status" >&5
    1531315314   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531415315   then
     
    1751317514   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751417515   -e 's:$: $lt_compiler_flag:'`
    17515    (eval echo "\"\$as_me:17515: $lt_compile\"" >&5)
     17516   (eval echo "\"\$as_me:17516: $lt_compile\"" >&5)
    1751617517   (eval "$lt_compile" 2>conftest.err)
    1751717518   ac_status=$?
    1751817519   cat conftest.err >&5
    17519    echo "$as_me:17519: \$? = $ac_status" >&5
     17520   echo "$as_me:17520: \$? = $ac_status" >&5
    1752017521   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752117522     # The compiler can only warn and ignore the option if not recognized
     
    1778117782   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778217783   -e 's:$: $lt_compiler_flag:'`
    17783    (eval echo "\"\$as_me:17783: $lt_compile\"" >&5)
     17784   (eval echo "\"\$as_me:17784: $lt_compile\"" >&5)
    1778417785   (eval "$lt_compile" 2>conftest.err)
    1778517786   ac_status=$?
    1778617787   cat conftest.err >&5
    17787    echo "$as_me:17787: \$? = $ac_status" >&5
     17788   echo "$as_me:17788: \$? = $ac_status" >&5
    1778817789   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778917790     # The compiler can only warn and ignore the option if not recognized
     
    1788517886   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788617887   -e 's:$: $lt_compiler_flag:'`
    17887    (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
     17888   (eval echo "\"\$as_me:17888: $lt_compile\"" >&5)
    1788817889   (eval "$lt_compile" 2>out/conftest.err)
    1788917890   ac_status=$?
    1789017891   cat out/conftest.err >&5
    17891    echo "$as_me:17891: \$? = $ac_status" >&5
     17892   echo "$as_me:17892: \$? = $ac_status" >&5
    1789217893   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789317894   then
Note: See TracChangeset for help on using the changeset viewer.